Package com.independentsoft.office.odf.fields

# Class Field

java.lang.Object
com.independentsoft.office.odf.fields.Field

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

Direct Known Subclasses:
  `AuthorInitials`, `AuthorName`, `Chapter`, `CharacterCount`, `ConditionalText`, `CreationDate`, `CreationTime`, `DatabaseDisplay`, `DatabaseName`, `Date`, `Description`, `DisplayRow`, `EditDuration`, `Expression`, `FileName`, `HiddenText`, `ImageCount`, `InitialCreator`, `Keywords`, `ModificationDate`, `ModificationTime`, `ModifiedBy`, `NextRow`, `ObjectCount`, `PageCount`, `PageNumber`, `PageVariableGetField`, `PageVariableSetField`, `ParagraphCount`, `Placeholder`, `PrintDate`, `PrintedBy`, `PrintTime`, `RevisionNumber`, `SelectRow`, `SenderCity`, `SenderCompany`, `SenderCountry`, `SenderEmail`, `SenderFax`, `SenderFirstName`, `SenderInitials`, `SenderLastName`, `SenderPosition`, `SenderPostalCode`, `SenderPrivatePhone`, `SenderState`, `SenderStreet`, `SenderTitle`, `SenderWorkPhone`, `SequenceVariableField`, `SheetName`, `SimpleVariableGetField`, `SimpleVariableInputField`, `SimpleVariableSetField`, `Subject`, `TableCount`, `TemplateName`, `TextInputField`, `Time`, `Title`, `UserVariableGetField`, `UserVariableInputField`, `WordCount`

public abstract class Field extends Object implements IParagraphContent
Represents a field.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IContentElement`
  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Field()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Field`
  `clone()`
  `abstract List<IContentElement>`
  `getContentElements()`
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parent

    protected IContentElement parent

- ## Constructor Details

  - ### Field

    public Field()

- ## Method Details

  - ### clone

    public abstract Field clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent